Bug 1284418 - /usr/libexec/bonobo-activation-server misuses syslog entries
/usr/libexec/bonobo-activation-server misuses syslog entries
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libbonobo (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 05:03 EST by Kees de Jong
Modified: 2016-12-20 11:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:11:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kees de Jong 2015-11-23 05:03:38 EST
Description of problem:
When /usr/libexec/bonobo-activation-server is being called it writes the following in syslog: 1447331475 2015 Nov 12 13:31:15 bonobo-activation-server user err (keesj-25421)

Which might look good, but in the source code (activation-server/activation-server-main.c) it looks like this:
syslog_ident = g_strdup_printf ("bonobo-activation-server (%s-%u)", g_get_user_name (), (guint) getpid ());

Which creates a space in the program name field, which should only be bonobo-activation-server, but the username and process ID are also added with a space between it. As a result the (keesj-25421) are added to the syslog error message and not the program name. 

To recap, there should be never a space in the program name field. When there is a space then the values after the space are added to the syslog message. This is confusing for humans but especially for syslog parsers.

To fix this one should just print "bonobo-activation-server" as the program name and nothing else, if it is important to do it anyway then spaces should be avoided and replaced with underscores.
Comment 1 Fedora End Of Life 2016-11-24 08:39:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 11:11:33 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.